VoIP Mailing List Archives
Mailing list archives for the VoIP community |
|
View previous topic :: View next topic |
Author |
Message |
christian.loeschenkohl... Guest
|
Posted: Tue Sep 08, 2009 9:41 am Post subject: [Freeswitch-users] patch for debian init script |
|
|
hi
just a quick patch for the debian init script debian/freeswitch.init
i do use the reload function and the script complains about the -C option
it also would be perfect if the reload option is enabled by default (usefull
for logrotating) -> combined in second patch
br
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:18:49.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:26:01.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
@@ -124,15 +124,15 @@
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
- reload|force-reload)
+ #reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
- log_daemon_msg "Reloading $DESC" "$NAME"
- do_reload
- log_end_msg $?
- ;;
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
@@ -156,8 +156,8 @@
esac
;;
*)
- echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
- #echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
--
Ing. Christian Löschenkohl
Technische Leitung, Forschung & Entwicklung VoIP
xpirio
Telekommunikation & Service GmbH
Lakeside B04
9020 Klagenfurt
Austria
T +43 (0) 5 77 11 - 1000
F +43 (0) 5 77 11 - 1002
E christian.loeschenkohl@xpirio.com
_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org |
|
Back to top |
|
|
mike at jerris.com Guest
|
Posted: Tue Sep 08, 2009 11:36 am Post subject: [Freeswitch-users] patch for debian init script |
|
|
Please post this patch to http://jira.freeswitch.org in the build
system project and I will get this merged in
Mike
On Sep 8, 2009, at 10:28 AM, Christian Löschenkohl wrote:
Quote: | hi
just a quick patch for the debian init script debian/freeswitch.init
i do use the reload function and the script complains about the -C
option
it also would be perfect if the reload option is enabled by default
(usefull
for logrotating) -> combined in second patch
br
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:18:49.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
return 0
}
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:26:01.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
return 0
}
@@ -124,15 +124,15 @@
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
- reload|force-reload)
+ #reload|force-reload)
#
# If do_reload() is not implemented then leave this
commented out
# and leave 'force-reload' as an alias for 'restart'.
#
- log_daemon_msg "Reloading $DESC" "$NAME"
- do_reload
- log_end_msg $?
- ;;
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
@@ -156,8 +156,8 @@
esac
;;
*)
- echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-
reload}" >&2
- #echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}"
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-
reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}"
exit 3
;;
esac
--
Ing. Christian Löschenkohl
Technische Leitung, Forschung & Entwicklung VoIP
xpirio
Telekommunikation & Service GmbH
Lakeside B04
9020 Klagenfurt
Austria
T +43 (0) 5 77 11 - 1000
F +43 (0) 5 77 11 - 1002
E christian.loeschenkohl@xpirio.com
|
_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org |
|
Back to top |
|
|
christian.loeschenkohl... Guest
|
Posted: Tue Sep 08, 2009 2:36 pm Post subject: [Freeswitch-users] patch for debian init script |
|
|
is done
br
On 2009-09-08 18:26, Michael Jerris wrote:
Quote: | Please post this patch to http://jira.freeswitch.org in the build
system project and I will get this merged in
Mike
On Sep 8, 2009, at 10:28 AM, Christian Löschenkohl wrote:
Quote: | hi
just a quick patch for the debian init script debian/freeswitch.init
i do use the reload function and the script complains about the -C
option
it also would be perfect if the reload option is enabled by default
(usefull
for logrotating) -> combined in second patch
br
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:18:49.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
return 0
}
*********************************************************************************************
--- debian/freeswitch.init-old 2009-09-08 16:26:01.000000000 +0200
+++ debian/freeswitch.init 2009-09-08 16:19:13.000000000 +0200
@@ -103,7 +103,7 @@
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
- start-stop-daemon -C $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
+ start-stop-daemon -c $USER --stop --signal 1 --quiet --
pidfile $PIDFILE --name $NAME
return 0
}
@@ -124,15 +124,15 @@
2) [ "$VERBOSE" != no ]&& log_end_msg 1 ;;
esac
;;
- reload|force-reload)
+ #reload|force-reload)
#
# If do_reload() is not implemented then leave this
commented out
# and leave 'force-reload' as an alias for 'restart'.
#
- log_daemon_msg "Reloading $DESC" "$NAME"
- do_reload
- log_end_msg $?
- ;;
+ #log_daemon_msg "Reloading $DESC" "$NAME"
+ #do_reload
+ #log_end_msg $?
+ #;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
@@ -156,8 +156,8 @@
esac
;;
*)
- echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-
reload}">&2
- #echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}"
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-
reload}">&2
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}"
exit 3
;;
esac
--
Ing. Christian Löschenkohl
Technische Leitung, Forschung& Entwicklung VoIP
xpirio
Telekommunikation& Service GmbH
Lakeside B04
9020 Klagenfurt
Austria
T +43 (0) 5 77 11 - 1000
F +43 (0) 5 77 11 - 1002
E christian.loeschenkohl@xpirio.com
|
_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org
|
--
Ing. Christian Löschenkohl
Technische Leitung, Forschung & Entwicklung VoIP
xpirio
Telekommunikation & Service GmbH
Lakeside B04
9020 Klagenfurt
Austria
T +43 (0) 5 77 11 - 1000
F +43 (0) 5 77 11 - 1002
E christian.loeschenkohl@xpirio.com
_______________________________________________
FreeSWITCH-users mailing list
FreeSWITCH-users@lists.freeswitch.org
http://lists.freeswitch.org/mailman/listinfo/freeswitch-users
UNSUBSCRIBE:http://lists.freeswitch.org/mailman/options/freeswitch-users
http://www.freeswitch.org |
|
Back to top |
|
|
|
|
|
You cannot post new topics in this forum You cannot reply to topics in this forum You cannot edit your posts in this forum You cannot delete your posts in this forum You cannot vote in polls in this forum
|
Powered by phpBB © 2001, 2005 phpBB Group
|